MessageNotification (Mule ESB 2.2.1 API)
Keywords: org.mule.context.notification.MessageNotification class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.context.notification
Class MessageNotification

    java.lang.Object
      java.util.EventObject
          org.mule.api.context.notification.ServerNotification
              org.mule.context.notification.EndpointMessageNotification
                  org.mule.context.notification.MessageNotification

All Implemented Interfaces:
  Serializable

Deprecated. renamed to EndpointMessageNotification

    public class MessageNotification

extends EndpointMessageNotification

These notifications are fire when either a message is received via an endpoint, or dispatcher of if a receive call is made on a dispatcher.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.mule.context.notification.EndpointMessageNotification
`logger, MESSAGE_DISPATCHED, MESSAGE_RECEIVED, MESSAGE_REQUESTED, MESSAGE_SENT`

Fields inherited from class org.mule.api.context.notification.ServerNotification
`action, ADMIN_EVENT_ACTION_START_RANGE, COMPONENT_EVENT_ACTION_START_RANGE, CONNECTION_EVENT_ACTION_START_RANGE, CONTEXT_EVENT_ACTION_START_RANGE, CUSTOM_EVENT_ACTION_START_RANGE, EVENT_NAME, EXCEPTION_EVENT_ACTION_START_RANGE, MANAGEMENT_EVENT_ACTION_START_RANGE, MESSAGE_EVENT_ACTION_START_RANGE, MODEL_EVENT_ACTION_START_RANGE, NO_ACTION_ID, NO_ACTION_NAME, NULL_ACTION, NULL_MESSAGE, REGISTRY_EVENT_ACTION_START_RANGE, resourceIdentifier, ROUTING_EVENT_ACTION_START_RANGE, SECURITY_EVENT_ACTION_START_RANGE, serverId, SERVICE_EVENT_ACTION_START_RANGE, SPACE_EVENT_ACTION_START_RANGE, timestamp, TRANSACTION_EVENT_ACTION_START_RANGE, TYPE_ERROR, TYPE_FATAL, TYPE_INFO, TYPE_WARNING`

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`MessageNotification(MuleMessage resource, ImmutableEndpoint endpoint, String identifier, int action)` Deprecated.

Method Summary

Methods inherited from class org.mule.context.notification.EndpointMessageNotification
`cloneMessage, getEndpoint, getPayloadToString, toString`

Methods inherited from class org.mule.api.context.notification.ServerNotification
`getAction, getActionId, getActionName, getActionName, getResourceIdentifier, getServerId, getTimestamp, getType, isResourceIdentifierAnUri, registerAction`

Methods inherited from class java.util.EventObject
`getSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MessageNotification

    public MessageNotification(MuleMessage resource,
                               ImmutableEndpoint endpoint,
                               String identifier,
                               int action)

  Deprecated.

  Parameters:
    `resource` -
    `endpoint` -
    `identifier` -
    `action` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.